#module imports
from fielddisplay import fielddisplay

class private:
	#properties
	def __init__(self):
		# {{{ Properties
		self.runtimename = ''
		self.bamg        = {}
		self.solution    = '';

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string='   private parameters: do not change'
		string="%s\n%s"%(string,fielddisplay(obj,'runtimename','name of the run launched'))
		string="%s\n%s"%(string,fielddisplay(obj,'bamg','structure with mesh properties construced if bamg is used to mesh the domain'))
		string="%s\n%s"%(string,fielddisplay(obj,'solution','type of solution launched'))
		return string
		#}}}
		
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

